
QGIS Application - Bug report #17470

Editing Z / M  value in scratch layer using node tool triggers a crash when saving  

2017-11-15 04:39 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Data Provider

Affected QGIS version:master Regression?: Yes

Operating System: ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25367

Description

following up all attempts to consolidate Z editing, 

we now have scratch layer correctly initialized using Z/M option. When saving the scratch layer, I have a repeatable crash.

Related to #17427 and PR https://github.com/qgis/QGIS/pull/5571

Related issues:

Related to QGIS Application - Bug report # 17427: regression: editing Z value... Closed 2017-11-08

History

#1 - 2017-11-15 04:43 PM - Giovanni Manghi

- Regression? changed from No to Yes

#2 - 2017-11-17 01:06 AM - Jürgen Fischer

- Description updated

#3 - 2017-11-17 01:06 AM - Jürgen Fischer

- Related to Bug report #17427: regression: editing Z value via note editor panel for memory  point layer fails added

#4 - 2018-01-03 06:37 AM - Mathieu Pellerin - nIRV

Regis, can you provide steps to reproduce the crasher? I can't get it to crash here.

#5 - 2018-01-03 08:38 AM - Paul Blottiere

Hi Mathieu,

From what I saw, it seems that the origin of the crash is the same that the one described in #17576.

I fixed it in https://github.com/qgis/QGIS/pull/5823, but I still have to properly finish this PR.

#6 - 2018-02-22 07:50 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Reopen if the related fixed issue did not fixed also this one.
